OPSS - While Upgrading 12.1.2 To 12.1.3 reconfig script fails with JPS-06172: 12.1.2.0.0 service not found in default context, skipping upgrade for this service exception (Doc ID 2242857.1)

Last updated on MARCH 24, 2017

Applies to:

Oracle Platform Security for Java - Version 12.1.2.0.0 and later
Information in this document applies to any platform.

Symptoms

On : 12.1.2.0.0 version, Common Security Services

When attempting to upgrade wls from 12.1.3 to 12.1.2 the following error occurs.

2017-02-21 12:43:23,232 SEVERE [66] oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration - Error while processing reconfigureSubsystem. Exception oracle.security.opss.tools.lifecycle.LifecycleException: oracle.security.jps.JpsException: JPS-06172: 12.1.2.0.0 service not found in default context, skipping upgrade for this service.
oracle.security.jps.JpsException: JPS-06172: 12.1.2.0.0 service not found in default context, skipping upgrade for this service.
at oracle.security.jps.upgrade.tools.utility.Upgrade.isSchemaUpgraded(Upgrade.java:902)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSDITAndData(Upgrade.java:843)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSS(Upgrade.java:650)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigSubsystem(OpssDomainConfigImpl.java:274)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigureSubsystem(OpssDomainConfigImpl.java:218)
at oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration.reconfigureSubsystem(OpssSecurityConfiguration.java:158)
at com.oracle.cie.domain.TemplateImporter.run(TemplateImporter.java:329)
at com.oracle.cie.domain.ReconfigurationGenerator.run(ReconfigurationGenerator.java:119)
at java.lang.Thread.run(Thread.java:745)

Changes

Upgrading

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms